MPI_Group_compare(3)

NAME
MPI_Group_compare - Compares two groups.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Group_compare(MPI_Group group1, MPI_Group group2,
	int *result)

INPUT PARAMETERS

group1
    First group (handle).

group2
    Second group (handle).

OUTPUT PARAMETERS

result
    Integer which is MPI_IDENT if the order and members of the two groups are the same, MPI_SIMILAR if only the members are the same, and MPI_UNEQUAL otherwise.

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_IDENT results if the group members and group order is exactly the same in both groups. This happens for instance if group1 and group2 are the same handle. MPI_SIMILAR results if the group members are the same but the order is different. MPI_UNEQUAL results otherwise.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.